{__NOLAYOUT__}<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=2.0, user-scalable=yes" />  
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>跳转提示</title>
    <style type="text/css">
        *{margin:0;padding:0;color:#444;list-style:none;text-decoration:none;font-size:14px;text-shadow:-1px -1px 1px rgba(0,0,0,.1)}
        body{background-color:#eee}
        .main{width:400px;margin:auto}
        .title{background:#00b0ff;color:#fff;font-size:16px;height:40px;line-height:40px;padding-left:20px}
        .content{background-color:#fff;padding:20px}
        .but{margin-top:20px;overflow:auto}
        .but a{float:right;background-color:#00b0ff;padding:5px 10px;margin-left:10px;color:#fff}
        .but .bg{background-color:#ff9800}
        .t1{border-bottom:1px solid #eee;color:#00b0ff;font-weight:700;margin:0 0 20px;padding-bottom:18px}
        .t2{margin-bottom:8px;font-weight:700}
        .div{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);-webkit-transform:translate(-50%,-50%);-moz-transform:translate(-50%,-50%);-ms-transform:translate(-50%,-50%);width:100%}
        @media screen and (max-width:800px){.main{width:80%}
        }
    </style>
</head>
<body>
    <div class="div">
	    <div class="main">
    		<div class="title">跳转提示</div>
    		<div class="content">
    			<p class="t1">
    			<?php switch ($code) {?>
                    <?php case 1:?>
                    <span style="color: green"><?php echo(strip_tags($msg));?></span>
                    <?php break;?>
                    <?php case 0:?>
                    <span style="color: red"><?php echo(strip_tags($msg));?></span>
                    <?php break;?>
                <?php } ?>
    			</p>
    			<p class="t2">页面自动跳转等待时间： <b id="wait"><?php echo($wait);?></b></p>
    			<div class="but">
    			    <a id="href" rel="nofollow" href="<?php echo($url);?>" class="bg">点击跳转</a>
        			<a href="/">返回首页</a>
        		</div>
    		</div>
		</div>
	</div>
    <script type="text/javascript">
        (function(){
            var wait = document.getElementById('wait'),
                href = document.getElementById('href').href;
            var interval = setInterval(function(){
                var time = --wait.innerHTML;
                if(time <= 0) {
                    location.href = href;
                    clearInterval(interval);
                };
            }, 1000);
        })();
    </script>
</body>
</html>