<?php
use think\Db;
use think\Request;
use Think\Config;
use think\Cookie;
use think\Session;
use app\index\Hook;
use PHPMailer\PHPMailer;
use WordAnalysis\Analysis;
use think\Hook as thinkHook;
// 应用公共文件
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2022 All rights reserved.
// +----------------------------------------------------------------------
// | Author: 作者@梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
error_reporting(E_ERROR | E_PARSE);
//  钩子名称
function hook($name , $array = array())
{
    $cars = explode(',', fun_sc_p('hook', array('name'=>$name), 'addons'));
    $arrlength=count($cars);
    for($x=0;$x<$arrlength;$x++)
    {
        Hook::call($cars[$x], $name ,$array);
    }
}
// 获取自己的资料信息
function user($v)
{
    if (addons('user','open')==1) {
        return Db::name('member')->where(array('userid' => session('userid')))->value($v);
    }
}
//后台
function user_admin($v)
{
    return Db::name('member_admin')->where(array('userid' => session('userid_admin')))->value($v);
}
// 万能输出数据
function fun_s($set, $open, $decs, $x, $f)
{
    if ($f == 1) {
        $json = Db::name($set)->where($open)->order('' . $decs . '')->limit($x)->select();
        return $json;
    } else {
        $json = Db::name($set)->where($open)->order('' . $decs . '')->paginate($x);
        return $json;
    }
}

// 万能统计
function fun_st($set, $x)
{
    $json = Db::name($set)->strict(false)->where($x)->count();
    return $json;
}
// 万能输出字段数据
function fun_sc_p($set, $open, $s)
{
    $json = Db::name($set)->where($open)->value($s);
    return $json;
}
// 获取cate的数据
function fun_cate($id, $s)
{
    $wanneng = Db::name('cate')->where(array('id' => $id))->value($s);
    return $wanneng;
}
// 用户数据
function fun_u($uid, $s)
{
    if (addons('user','open')==1) {
        $json = Db::name('member')->where(array('userid' => $uid))->value($s);
        return $json;
    }
}
//VIP
function vip($uid, $s=false)
{
    $json = Db::name('vip')->where(['uid'=>$uid])->find();
    if($s){
       return $json[$s]; 
    }else{
        if($json['times']>time()){
            return true;
        }else{
            return false;
        }
    }
}
// 用户等级
function dengji($uid,$v='title')
{
    if (addons('user','open')==1) {
        $json = Db::name('member_dengji')->select();
        foreach ($json as $key => $vo) {
            if (user('jingyan') >= $vo['jingyan_d'] && user('jingyan') <= $vo['jingyan_x']) {
                return $vo[$v] ;
            }
        }
    }
}
// 广告简写
function ad($id)
{
    $time = time();
    $wanneng = Db::name('ad')->where(array('muban' => muban(),'open' => 1,'tid' => $id))->where("times > {$time}")->select();
    foreach ($wanneng as $html) {
        echo $html['content'];
    }
}
// 获取参数
function get($input, $id = 1)
{
    if (is_numeric(input($input)) === true || !empty(input($input))) {
        return input($input);
    } else {
        return $id;
    }
}
// 循环删除目录和文件函数
function deleteun($dir_name)
{
    $result = false;
    if (is_dir($dir_name)) {
        if ($handle = opendir($dir_name)) {
            while (false !== ($item = readdir($handle))) {
                if ($item != '.' && $item != '..') {
                    if (is_dir($dir_name . DS . $item)) {
                        deleteun($dir_name . DS . $item);
                    } else {
                        unlink($dir_name . DS . $item);
                    }
                }
            }
            closedir($handle);
            if (rmdir($dir_name)) {
                $result = true;
            }
        }
    }
    return $result;
}
// 用于数组中搜索键值
function socha($l, $s)
{
    $arr = explode(',', '' . $l . '');
    if (strlen(array_search($s, $arr)) >= 1) {
        return 1;
    } else {
        return 0;
    }
}
// 获取配置信息
function set($s, $id = 1)
{
    $c = Db::name('set')->where(['id'=>$id])->value('config');
    if (!$c) {
        $c = Db::name('set')->where(['alias'=>$id])->value('config');
    }
    $arr = json_decode($c, true);
    return $arr[$s];
}
// 当数据为空定义的显示数据
function dingyi($s, $v = '1')
{
    if (empty($s)) {
        return $v;
    } else {
        return $s;
    }
}
// 时间
function times($posttime, $jing = '')
{
    if ($posttime>time()) {
        return date("Y-m-d H:i:s", $posttime);
    }
    $now = time();
    $end = 86400 * 10;
    $dif = $now - $posttime;
    if ($dif <= 3600) {
        if (!$jing) {
            return '<span style="color:red">' . ceil($dif / 60) . '分钟前</span>';
        } else {
            return ceil($dif / 60) . '分钟前';
        }
    } else {
        if ($dif > 3600 && $dif < 86400) {
            return ceil($dif / 3600) . '小时前';
        } else {
            if ($dif > 86400 && $dif < $end) {
                return ceil($dif / 86400) . '天前';
            } else {
                return date('m-d', $posttime);
            }
        }
    }
}
// 转换数组
function exv($ks,$k=',')
{
    $arr = explode($k, $ks);
    return $arr;
}
/*
$str = 'ota';  
$key = 'otacms';  
jiami($str,'ENCODE',$key,0); //加 
$str = '32c6uMmnw+1FPKV2DfhR2TTPXqeFAmT+';  
jiami($str,'DECODE',$key,0); //解
*/
function jiami($string, $operation = 'DECODE', $key = '', $expiry = 0)
{
    $ckey_length = 4;
    $key = md5($key ? $key : $GLOBALS['discuz_auth_key']);
    $keya = md5(substr($key, 0, 16));
    $keyb = md5(substr($key, 16, 16));
    $keyc = $ckey_length ? $operation == 'DECODE' ? substr($string, 0, $ckey_length) : substr(md5(microtime()), -$ckey_length) : '';
    $cryptkey = $keya . md5($keya . $keyc);
    $key_length = strlen($cryptkey);
    $string = $operation == 'DECODE' ? base64_decode(substr($string, $ckey_length)) : sprintf('%010d', $expiry ? $expiry + time() : 0) . substr(md5($string . $keyb), 0, 16) . $string;
    $string_length = strlen($string);
    $result = '';
    $box = range(0, 255);
    $rndkey = array();
    for ($i = 0; $i <= 255; $i++) {
        $rndkey[$i] = ord($cryptkey[$i % $key_length]);
    }
    for ($j = $i = 0; $i < 256; $i++) {
        $j = ($j + $box[$i] + $rndkey[$i]) % 256;
        $tmp = $box[$i];
        $box[$i] = $box[$j];
        $box[$j] = $tmp;
    }
    for ($a = $j = $i = 0; $i < $string_length; $i++) {
        $a = ($a + 1) % 256;
        $j = ($j + $box[$a]) % 256;
        $tmp = $box[$a];
        $box[$a] = $box[$j];
        $box[$j] = $tmp;
        $result .= chr(ord($string[$i]) ^ $box[($box[$a] + $box[$j]) % 256]);
    }
    if ($operation == 'DECODE') {
        if ((substr($result, 0, 10) == 0 || substr($result, 0, 10) - time() > 0) && substr($result, 10, 16) == substr(md5(substr($result, 26) . $keyb), 0, 16)) {
            return substr($result, 26);
        } else {
            return '';
        }
    } else {
        return $keyc . str_replace('=', '', base64_encode($result));
    }
}
// 用于生成用户密码的随机字符
function generate_password($length = 8)
{
    $chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    $password = '';
    for ($i = 0; $i < $length; $i++) {
        $password .= $chars[mt_rand(0, strlen($chars) - 1)];
    }
    return $password;
}
// 判断当前浏览器标识手机端移动端
function isMobile()
{
    if (Request::instance()->isMobile()){
        return true;
    } else {
        return false;
    }
}
// 转换kb
function size($filesize)
{
    if ($filesize >= 1073741824) {
        $filesize = round($filesize / 1073741824 * 100) / 100 . ' GB';
    } elseif ($filesize >= 1048576) {
        $filesize = round($filesize / 1048576 * 100) / 100 . ' MB';
    } elseif ($filesize >= 1024) {
        $filesize = round($filesize / 1024 * 100) / 100 . ' KB';
    } else {
        $filesize = $filesize . ' bytes';
    }
    return $filesize;
}
// 执行sql
function sql($sql,$return=true)
{
    $db_config = array();
    $db_config['prefix'] = Config::get('database.prefix');
    $sql_array = preg_split("/;[\r\n]+/", str_replace('my_', $db_config['prefix'], $sql));
    foreach ($sql_array as $k => $v) {
        if (!empty($v)) {
            if ($return==true) {
                return Db::query($v);
            } else {
                Db::query($v);
            }
        }
    }
}
// 模板
function muban()
{
    if (Cookie::get('muban')) {
        if (is_dir('./template/' . Cookie::get('muban'))) {
            return Cookie::get('muban');
        }
    }
    if (isMobile() != true) {
        return jiami(set('pc',2), 'DECODE', 'otacms', 0);
    } else {
        return jiami(set('wap',2), 'DECODE', 'otacms', 0);
    }
}
//默认模型模板
function muban_html($m)
{
    return 'template/'.muban().'/default/article_'.$m.'.html';
}
// 自定义数据分割
function sku($ks, $mu, $my)
{
    $arr = explode($mu, $ks);
    for ($i = 0; $i < count($arr); $i++) {
        $arr2 = explode($my, $arr[$i]);
        $chaxun[$i]['id'] = $arr2[0];
        $chaxun[$i]['name'] = $arr2[1];
        $chaxun[$i]['i'] = $i;
    }
    return $chaxun;
}
// 简单分割
function expe($ks, $k)
{
    $a = explode($k, $ks);
    return $a;
}
// 获取文件目录列表,该方法返回数组
function getDir($dir, $id = '')
{
    $dirArray[] = NULL;
    if (!file_exists($dir)) {
        return array();
    }
    if (false != ($handle = opendir($dir))) {
        $i = 0;
        while (false !== ($file = readdir($handle))) {
            if ($id == 1) {
                //去掉"“.”、“..”以及带“.xxx”后缀的文件
                if ($file != "." && $file != ".." && !strpos($file, ".")) {
                    $dirArray[$i] = $file;
                    $i++;
                }
            } else {
                if ($id == 2) {
                    //获取带后缀的文件
                    if (strpos($file, ".")) {
                        $dirArray[$i] = $file;
                        $i++;
                    }
                } else {
                    $dirArray[$i] = $file;
                    $i++;
                }
            }
        }
        //关闭句柄
        closedir($handle);
    }
    return $dirArray;
}
// 获取模板配置
function m_config($url, $id)
{
    $include = (include 'template/' . $url . '/config.php');
    return $include[$id];
}
// 获取当前模板的设置信息set.html
function ota($name)
{
    $url = file_get_contents('template/' . muban() . '/set.txt');
    $arr = json_decode($url, true);
    return $arr[$name];
}
//获取模板设置
function ota_cinfig($name)
{
    $url = file_get_contents('template/' . input('id') . '/set.txt');
    $arr = json_decode($url, true);
    return $arr[$name];
}
// 获取当前模板样式
function m()
{
    return '/template/'.muban().'/public';
}
// 获取数据
function ota_vo($ks)
{
    $arr = explode('|', $ks);
    for ($i = 0; $i < count($arr); $i++) {
        $arr2 = explode(',', $arr[$i]);
        $chaxun[$i]['id'] = $arr2[0];
        $chaxun[$i]['name'] = $arr2[1];
    }
    return $chaxun;
}
// 获取插件基本信息
function h_config($info, $id)
{
    $class='app\\'.$info.'\\'.$info;
    $addons = new $class();
    $config = $addons->info;
    return $config[$id];
}
// 获取插件的配置数据信息
function admin_config($info)
{
    $class='app\\'.$info.'\\'.$info;
    $addons = new $class();
    $config = $addons->admin;
    return $config;
}
// 获取插件的配置详情数据
function a_config($info, $id)
{
    $class='app\\'.$info.'\\'.$info;
    $addons = new $class();
    $config = $addons->admin;
    return $config[$id];
}
// 插件
function getbaseurl()
{
    $baseUrl = str_replace('\\', '', dirname($_SERVER['SCRIPT_NAME']));
    $baseUrl = empty($baseUrl) ? '/' : '/' . trim($baseUrl, '/') . '/';
    return $baseUrl;
}
// 输出插件配置值 $u=插件标识 $s=配置的值
function addons($u, $s)
{
    $c = fun_sc_p('addons', array('name' => $u), 'config');
    $arr = json_decode($c, true);
    return $arr[$s];
}
/**
 * 显示文字控制
 * @param  [type] $sourcestr [description]
 * @param  [type] $cutlength [description]
 * @return [type]            [description]
 */
function cut($sourcestr, $cutlength)
{
    $returnstr = '';
    $i = 0;
    $n = 0;
    $str_length = strlen($sourcestr);
    //字符串的字节数
    while ($n < $cutlength and $i <= $str_length) {
        $temp_str = substr($sourcestr, $i, 1);
        $ascnum = Ord($temp_str);
        //得到字符串中第$i位字符的ascii码
        if ($ascnum >= 224) {
            //如果ASCII位高与224，
            $returnstr = $returnstr . substr($sourcestr, $i, 3);
            //根据UTF-8编码规范，将3个连续的字符计为单个字符
            $i = $i + 3;
            //实际Byte计为3
            $n++;
            //字串长度计1
        } elseif ($ascnum >= 192) {
            //如果ASCII位高与192，
            $returnstr = $returnstr . substr($sourcestr, $i, 2);
            //根据UTF-8编码规范，将2个连续的字符计为单个字符
            $i = $i + 2;
            //实际Byte计为2
            $n++;
            //字串长度计1
        } elseif ($ascnum >= 65 && $ascnum <= 90) {
            //如果是大写字母，
            $returnstr = $returnstr . substr($sourcestr, $i, 1);
            $i = $i + 1;
            //实际的Byte数仍计1个
            $n++;
            //但考虑整体美观，大写字母计成一个高位字符
        } else {
            //其他情况下，包括小写字母和半角标点符号，
            $returnstr = $returnstr . substr($sourcestr, $i, 1);
            $i = $i + 1;
            //实际的Byte数计1个
            $n = $n + 0.5;
            //小写字母和半角标点等与半个高位字符宽...
        }
    }
    if ($str_length > $i) {
        $returnstr = $returnstr . "...";
        //超过长度时在尾处加上省略号
    }
    return $returnstr;
}
// 获取内容作为封面
function pic($content = '', $t = '')
{
    $html_string = $content;
    $pattern = "/<[img|IMG].*?src=[\\'|\"](.*?(?:[\\.gif|\\.jpg|\\.png|\\.GIF|\\.JPG|\\.PNG]))[\\'|\"].*?[\\/]?>/";
    preg_match_all($pattern, $html_string, $matchContent);
    if (isset($matchContent[1][0])) {
        $item['news_pic'] = $matchContent[1][0];
    } else {
        if (empty($t)) {
            $pic = getDir('public/img/default/');
            if(set('wu_pic')==1){
                $item['news_pic'] = '' . http() . '' . $_SERVER['HTTP_HOST'] . '/public/img/default/'.$pic[array_rand($pic,1)];
            }else{
                $item['news_pic'] = set('wu_fujian');
            }
        } else {
            $item['news_pic'] = $t;
        }
    }
    return $item['news_pic'];
}
/**
 * 获取内容的图片信息
 */
function getImgList($content, $order = 'ALL')
{
    $html_string = htmlspecialchars_decode($content);
    $pattern = "/<[img|IMG].*?src=[\\'|\"](.*?(?:[\\.gif|\\.jpg|\\.png]))[\\'|\"].*?[\\/]?>/";
    preg_match_all($pattern, $html_string, $match);
    if (isset($match[1]) && !empty($match[1])) {
        if ($order === 'ALL') {
            return $match[1];
        }
        if (is_numeric($order) && isset($match[1][$order])) {
            return $match[1][$order];
        }
    }
    return [];
}
// http协议自动判断
function http()
{
    $http_type = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' || isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https' ? 'https://' : 'http://';
    return $http_type;
}
/**
 * 积分经验加减记录
 * @param  [type]  $jifen 积分
 * @param  [type]  $uid   用户id
 * @param  [type]  $title 命名
 * @param  integer $tid   上级
 * @return [type]         [description]
 */
function point($jifen, $uid, $title, $fid = 1, $tid = 0)
{
    if ($jifen != 0) {
        if ($title == '登录') {
            $time = time();
            $maptime['time'] = array('gt', $time - 24 * 60 * 60);
            $maptime['uid'] = $uid;
            $maptime['title'] = '登录';
            $count = Db::name('point_note')->where($maptime)->count();
            if ($count > 0) {
                return;
            }
        }
        if ($fid==1) {
            Db::name('member')->where('userid', $uid)->setInc('point', $jifen);
        } else {
            Db::name('member')->where('userid', $uid)->setInc('jingyan', $jifen);
        }
        $data['uid'] = $uid;
        $data['fid'] = $fid;
        $data['time'] = time();
        $data['title'] = $title;
        $data['jifen'] = $jifen;
        $data['tid'] = $tid;
        Db::name('point_note')->insert($data);
    }
    return;
}
/**
 * 邮件发送
 * @param  [type] $tomail  邮箱
 * @param  string $subject 标题
 * @param  string $body    内容
 * @return [type]          [description]
 */
function send_mail($tomail, $subject = '', $body = '')
{
    $mail = new PHPMailer(true);
    //实例化PHPMailer对象
    $mail->CharSet = 'UTF-8';
    //设定邮件编码，默认ISO-8859-1，如果发中文此项必须设置，否则乱码
    $mail->IsSMTP();
    // 设定使用SMTP服务
    $mail->SMTPDebug = 0;
    // SMTP调试功能 0=关闭 1 = 错误和消息 2 = 消息
    $mail->SMTPAuth = true;
    // 启用 SMTP 验证功能
    $mail->SMTPSecure = 'ssl';
    // 使用安全协议
    $mail->Host =  addons('user','mailHost');
    // SMTP 服务器
    $mail->Port = addons('user','mailPort');
    // SMTP服务器的端口号
    $mail->Username = addons('user','mailUsername');
    // SMTP服务器用户名
    $mail->Password = addons('user','mailPassword');
    // SMTP服务器密码
    $mail->SetFrom('' . addons('user','mailUsername') . '', '' . set('title') . '');
    $mail->Subject = $subject;
    $mail->MsgHTML($body);
    $mail->AddAddress($tomail);
    return $mail->Send() ? true : $mail->ErrorInfo;
}
/**
 * 发送短信
 * @param  [type] $phone   电话号码
 * @param  [type] $content 内容
 * @return [type]          [description]
 */
function duanxin($phone, $content)
{
    if (!preg_match("/^1[345789]{1}\\d{9}\$/", $phone)) {
        exit('{"code":0,"msg":"手机号码格式错误"}');
    }
    $statusStr = array("0" => "短信发送成功", "-1" => "参数不全", "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！", "30" => "配置密码错误", "40" => "账号不存在", "41" => "当前余额不足", "42" => "帐户已过期", "43" => "IP地址限制", "50" => "内容含有敏感词");
    $smsapi = "http://api.smsbao.com/";
    $user = addons('user','dxb_name');
    //短信平台帐号
    $pass = md5(addons('user','dxb_ps'));
    //短信平台密码
    $sendurl = $smsapi . "sms?u=" . $user . "&p=" . $pass . "&m=" . $phone . "&c=" . urlencode($content);
    $result = file_get_contents($sendurl);
    if (socha($result, '0') != 1) {
        exit('{"code":0,"msg":"' . $statusStr[$result] . '"}');
    }
}
// xss
function xss($val)
{
    $val = preg_replace('/([\\x00-\\x08,\\x0b-\\x0c,\\x0e-\\x19])/', '', $val);
    $search = 'abcdefghijklmnopqrstuvwxyz';
    $search .= 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $search .= '1234567890!@#$%^&*()';
    $search .= '~`";:?+/={}[]-_|\'\\';
    for ($i = 0; $i < strlen($search); $i++) {
        $val = preg_replace('/(&#[xX]0{0,8}' . dechex(ord($search[$i])) . ';?)/i', $search[$i], $val);
        // with a ;
        $val = preg_replace('/(&#0{0,8}' . ord($search[$i]) . ';?)/', $search[$i], $val);
        // with a ;
    }
    $ra1 = array('javascript', 'vbscript', 'expression', 'applet', 'meta', 'xml', 'blink', 'link', 'style', 'script', 'embed', 'object', 'iframe', 'frame', 'frameset', 'ilayer', 'layer', 'bgsound', 'title', 'base');
    $ra2 = array('onabort', 'onactivate', 'onafterprint', 'onafterupdate', 'onbeforeactivate', 'onbeforecopy', 'onbeforecut', 'onbeforedeactivate', 'onbeforeeditfocus', 'onbeforepaste', 'onbeforeprint', 'onbeforeunload', 'onbeforeupdate', 'onblur', 'onbounce', 'oncellchange', 'onchange', 'onclick', 'oncontextmenu', 'oncontrolselect', 'oncopy', 'oncut', 'ondataavailable', 'ondatasetchanged', 'ondatasetcomplete', 'ondblclick', 'ondeactivate', 'ondrag', 'ondragend', 'ondragenter', 'ondragleave', 'ondragover', 'ondragstart', 'ondrop', 'onerror', 'onerrorupdate', 'onfilterchange', 'onfinish', 'onfocus', 'onfocusin', 'onfocusout', 'onhelp', 'onkeydown', 'onkeypress', 'onkeyup', 'onlayoutcomplete', 'onload', 'onlosecapture', 'onmousedown', 'onmouseenter', 'onmouseleave', 'onmousemove', 'onmouseout', 'onmouseover', 'onmouseup', 'onmousewheel', 'onmove', 'onmoveend', 'onmovestart', 'onpaste', 'onpropertychange', 'onreadystatechange', 'onreset', 'onresize', 'onresizeend', 'onresizestart', 'onrowenter', 'onrowexit', 'onrowsdelete', 'onrowsinserted', 'onscroll', 'onselect', 'onselectionchange', 'onselectstart', 'onstart', 'onstop', 'onsubmit', 'onunload');
    $ra = array_merge($ra1, $ra2);
    $found = true;
    while ($found == true) {
        $val_before = $val;
        for ($i = 0; $i < sizeof($ra); $i++) {
            $pattern = '/';
            for ($j = 0; $j < strlen($ra[$i]); $j++) {
                if ($j > 0) {
                    $pattern .= '(';
                    $pattern .= '(&#[xX]0{0,8}([9ab]);)';
                    $pattern .= '|';
                    $pattern .= '|(&#0{0,8}([9|10|13]);)';
                    $pattern .= ')*';
                }
                $pattern .= $ra[$i][$j];
            }
            $pattern .= '/i';
            $replacement = substr($ra[$i], 0, 2) . '<x>' . substr($ra[$i], 2);
            $val = preg_replace($pattern, $replacement, $val);
            if ($val_before == $val) {
                $found = false;
            }
        }
    }
    return $val;
}
// 无限极分类
function cate($array=array(),$tid=0,$level=0)
{
    $data=Db::name('cate')->where($array)->order('px desc')->select();
    static $arr = array();
    foreach ($data as $key => $v) {
        if($v['tid'] == $tid){
            $v['level'] = $level;
            $arr[] = $v;
            cate($array,$v['id'],$level+1);
        }
    }
    return $arr;
}
//无限极数据
function cate_json($tid=0,$level=0)
{
    $data=Db::name('cate')->where(array('open'=>1))->order('px desc')->select();
    static $arr = array();
    foreach ($data as $key => $v) {
        if($v['tid'] == $tid){
            $v['level'] = $level;
            $arr[] = $v;
            cate_json($v['id'],$level+1);
        }
    }
    return $arr;
}
// 无限极数据
function json_m($model,$id=0,$array=array('a.open'=>1),$order='id desc',$x=20,$f=false)
{
    foreach (cate_json($id) as $key => $v) {
        $or .= 'c.tid='.$v['tid'];
        $or .= ' or ';
    }
    $or=$or.'a.tid='.$id;
    if ($f==true) {
        $data=Db::name($model)
        ->alias('a')->join('cate c', 'c.id=a.tid')
        ->where('time<'.time().'')
        ->field('a.*,c.id as cid')
        ->where($array)
        ->where($or)
        ->order($order)
        ->paginate($x);
    } else {
        $data=Db::name($model)
        ->alias('a')->join('cate c', 'c.id=a.tid')
        ->where('time<'.time().'')
        ->field('a.*,c.id as cid')
        ->where($array)
        ->where($or)
        ->order($order)
        ->limit($x)
        ->select();
    }
    return $data;
}
// 隐藏4到7位
function hide($tel)
{
    $new_tel1 = substr($tel, 0, 3) . ' ****' . substr($tel, 7);
    return $new_tel1;
}
// 获取关键字
function ks($content, $s = 10)
{
    return Analysis::getKeywords($content, $s);
}
/**
 * 请求接口返回内容
 * @param string $url [请求的URL地址]
 * @param string $params [请求的参数]
 * @param int $ipost [是否采用POST形式]
 * @return  string
 */
function http_ota($url, $params = false, $ispost = 0)
{
    $httpInfo = array();
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 3);
    curl_setopt($ch, CURLOPT_TIMEOUT, 5);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    if ($ispost) {
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
        curl_setopt($ch, CURLOPT_URL, $url);
    } else {
        if ($params) {
            curl_setopt($ch, CURLOPT_URL, $url . '?' . $params);
        } else {
            curl_setopt($ch, CURLOPT_URL, $url);
        }
    }
    $response = curl_exec($ch);
    if ($response === FALSE) {
        return false;
    }
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    $httpInfo = array_merge($httpInfo, curl_getinfo($ch));
    curl_close($ch);
    return $response;
}
// 下载到本地
function getFile($url, $save_dir = '', $filename = '', $type = 0)
{
    if (trim($url) == '') {
        return false;
    }
    if (trim($save_dir) == '') {
        $save_dir = './';
    }
    if (0 !== strrpos($save_dir, '/')) {
        $save_dir .= '/';
    }
    if (!file_exists($save_dir) && !mkdir($save_dir, 0777, true)) {
        return false;
    }
    if ($type) {
        $ch = curl_init();
        $timeout = 5;
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
        $content = curl_exec($ch);
        curl_close($ch);
    } else {
        ob_start();
        readfile($url);
        $content = ob_get_contents();
        ob_end_clean();
    }
    $size = strlen($content);
    $fp2 = @fopen($save_dir . $filename, 'a');
    fwrite($fp2, $content);
    fclose($fp2);
    unset($content, $url);
}
/**
 * 数组遍历
 * @param  [type] $sku [description]
 * @return [type]      [description]
 */
function skujson($sku)
{
    $arr = json_decode($sku, true);
    for ($i = 0; $i < count($arr); $i++) {
        $chaxun[$i]['id'] = key($arr);
        $chaxun[$i]['name'] = current($arr);
        next($arr);
    }
    return $chaxun;
}