<?php
namespace app\admin\controller;

use think\Controller;
use think\Db;
use Think\Config;
use think\File;
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2022 All rights reserved.
// +----------------------------------------------------------------------
// | Author: 作者@梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Api extends Common
{
    //批量删除
    public function delss()
    {
        hook('php_admin_api_delss');
        $this->quanxian(1);
        $id = input('id');
        $params = input('post.');
        $ids = implode(',', $params['ids']);
        $result = Db::name(ps(input('model')))->delete($ids);
        if ($result) {
            return json(array('code' => 1, 'msg' => '批量删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '批量删除失败'));
        }
    }
    //单个删除
    public function catedelete()
    {
        hook('php_admin_api_catedelete');
        $this->quanxian(2);
        $id = input('id');
        if (Db::name(ps(input('model')))->delete(array(get('i', 'id') => $id))) {
            $this->success('删除成功');
        } else {
            $this->error('删除失败');
        }
    }
    //通用添加内容
    public function add()
    {
        hook('php_admin_api_add');
        $this->quanxian(3);
        $data = $this->request->post();
        $data['pics'] = json_encode($_data['pics']);
        $data['key'] = generate_password(16);
        $data['uid'] = user('userid');
        $data['time'] = time();
        if(input('time')){
            $data['time'] = strtotime(input('time'));
        }
        $data['times'] = time();
        if(!input('description')){
            $data['description'] = cut(input('content_txt'),200);
        }
        $data['keywords'] = str_replace(array('，',' ','、','-','_'),array(',',',',',',',',','),$data['keywords']);
        if (!input('keywords')) {
            $data['keywords'] = ks(input('content_txt'),10);
        }
        foreach (Db::name(ps('modelzd'))->where(array('m'=>ps(input('model')),'type'=>'多选'))->select() as $key => $html) {
            $data[$html['ziduan']] = implode(',', $_POST[$html['ziduan']]);
        }
        if (ps(input('model'))==ps('cate')) {
            $c = Db::name(ps('cate'))->where(array('id'=>$data['id']))->find();
            if (fun_st(ps('cate'), array('alias'=>$data['alias']))) {
                $this->error('别名已存在');
            }
        }
        $data['shuxing'] = implode(',', $_POST['shuxing']);
        if (input('times')) {
            $data['times'] = strtotime(input('times'));
        }
        if (!Db::name(ps(input('model')))->strict(false)->data($data)->insert()) {
            $this->error('操作失败');
        } else {
            $this->success('操作成功');
        }
    }
    //通用更新内容
    public function edit()
    {
        hook('php_admin_api_edit');
        $this->quanxian(4);
        $id = input('id');
        $data = $this->request->post();
        $data['pics'] = json_encode($data['pics']);
        $data['times'] = time();
        if(input('time')){
            $data['time'] = strtotime(input('time'));
        }
        if (ps(input('model'))==ps('cate')) {
            $c = Db::name(ps('cate'))->where(array('id'=>$_data['id']))->find();
            if (fun_st(ps('cate'), array('alias'=>$_data['alias']))) {
                $this->error('别名已存在');
            }
        }
        foreach (Db::name(ps('modelzd'))->where(array('m'=>ps(input('model')),'type'=>'多选'))->select() as $key => $html) {
            $data[$html['ziduan']] = implode(',', $_POST[$html['ziduan']]);
        }
        $data['keywords'] = str_replace(array('，',' ','、','-','_'),array(',',',',',',',',','),$data['keywords']);
        if (!input('keywords')) {
            $data['keywords'] = ks(input('content_txt'),10);
        }
        if(!input('description')){
            $data['description'] = cut(input('content_txt'),200);
        }
        $data['shuxing'] = implode(',', $_POST['shuxing']);
        if (input('times')) {
            $data['times'] = strtotime(input('times'));
        }
        if (Db::name(ps(input('model')))->strict(false)->where(get('i', 'id'), $id)->update($data)) {
            $this->success('更新成功');
        } else {
            $this->error('更新失败');
        }
    }
    //添加member用户
    public function add_member()
    {
        hook('php_admin_api_add_member');
        $this->quanxian(5);
        $data = $this->request->post();
        $data['reg_time'] = time();
        $data['userip'] = $_SERVER['REMOTE_ADDR'];
        $key = 'otacms';
        if (empty(input('password'))) {
            $data['password'] = jiami('123456', 'ENCODE', $key, 0);
        } else {
            $data['password'] = jiami(input('password'), 'ENCODE', $key, 0);
        }
        if (empty($_POST['tid'])) {
            $data['tid'] = 0;
        } else {
            $tid = $_POST['tid'];
            $data['tid'] = implode(',', $tid);
        }
        if (Db::name(ps(input('model')))->strict(false)->data($data)->insert()) {
            $this->success('添加成功');
        } else {
            $this->error('添加失败');
        }
    }
    //更新内容member用户
    public function edit_member()
    {
        hook('php_admin_api_edit_member');
        $this->quanxian(6);
        $id = input('id');
        $data = $this->request->post();
        $data['times'] = time();
        $key = 'otacms';
        if (!empty(input('password'))) {
            $data['password'] = jiami(input('password'), 'ENCODE', $key, 0);
        } else {
            $data['password'] = fun_sc_p(ps(input('model')), array(get('i', 'id') => $id), 'password');
        }
        if (empty($_POST['tid'])) {
            $data['tid'] = 0;
        } else {
            $tid = $_POST['tid'];
            $data['tid'] = implode(',', $tid);
        }
        if (Db::name(ps(input('model')))->strict(false)->where(get('i', 'id'), $id)->update($data)) {
            $this->success('更新成功');
        } else {
            $this->error('更新失败');
        }
    }
    // 一键更新
    public function uindex()
    {
        hook('php_admin_api_uindex');
        $this->quanxian(7);
        $id = input('id');
        $or = input('or');
        $data = $this->request->post();
        $s = Db::name(ps(input('model')))->where(get('i', 'id'), $id)->find();
        if ($s[$or] == 1) {
            Db::name(ps(input('model')))->where(get('i', 'id'), $id)->update([$or => 0]);
            return json(array('code' => 1, 'msg' => '更新成功', 'or' => 1));
        } else {
            Db::name(ps(input('model')))->where(get('i', 'id'), $id)->update([$or => 1]);
            return json(array('code' => 1, 'msg' => '更新成功', 'or' => 2));
        }
    }
    // 删除附件
    public function filedelete()
    {
        hook('php_admin_api_filedelete');
        $this->quanxian(8);
        $id = input('id');
        $m = input('m');
        $time =fun_sc_p('file', array('id'=>$id), 'time');
        $savename =fun_sc_p('file', array('id'=>$id), 'savename');
        $thumb=fun_sc_p('file', array('id'=>$id), 'sha1');
        $ext=fun_sc_p('file', array('id'=>$id), 'ext');
        $data = $this->request->get();
        if (Db::name('file')->where('id', $id)->data($data)->delete($data)) {
            unlink(ROOT_PATH . '/uploads/'.date('Ymd',$time).'/'.$savename);
            unlink(ROOT_PATH . '/uploads/thumb/'.$thumb.'thumb.'.$ext);
            $this->success('删除成功');
        } else {
            $this->error('删除失败');
        }
    }
    // 创建控制器
    public function controller($name)
    {
        hook('php_admin_api_controller');
        $myfile = fopen("app/index/controller/Article.php", "r") or die("无法打开文件！");
        $msg = fread($myfile,filesize("app/index/controller/Article.php"));
        $msg = preg_replace("/Article/", ucfirst($name), $msg);
        $msg = preg_replace("/article/", $name, $msg);
        $dir = iconv("UTF-8", "GBK", "app/index/controller");
        $admin = fopen($dir.'/'.ucfirst($name).'.php', "w");
        fwrite($admin,$msg);
        fclose($myfile);
        fclose($admin);
    }
    // 添加模型
    public function modeladd()
    {
        hook('php_admin_api_modeladd');
        $this->quanxian(9);
        if(!preg_match('/^[a-zA-Z]+$/',get('name'))){
            return json(array('code' => 0, 'msg' => '表只能用输入英文小写'));
        }
        $list = Db::query('SHOW TABLE STATUS');
        $list = array_map('array_change_key_case', $list);
        foreach ($list as $html) {
            if (Config::get('database.prefix').ps(input('name')) == $html['name']) {
                $this->error('当前表名重复');
            }
        }
        $data = $this->request->param();
        $data['title'] =  get('title');
        $data['name'] =  strtolower(get('name'));
        $data['route_index'] =  strtolower(get('name'));
        $data['route_item'] =  strtolower(get('name')).'_item';
        if (Db::name('model')->strict(false)->insert($data)) {
            $sqldata = "DROP TABLE IF EXISTS `".Config::get('database.prefix').$data['name']."`;
                CREATE TABLE `".Config::get('database.prefix').$data['name']."` (
                `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                `tid` int(11) unsigned NULL DEFAULT '0' COMMENT '上级',
                `m` varchar(255) NOT NULL DEFAULT '".$data['name']."' COMMENT '模型',
                `uid` int(11) unsigned NULL DEFAULT '0' COMMENT '用户uid',
                `settop` int(11) unsigned NULL DEFAULT '0' COMMENT '置顶',
                `open` int(11) unsigned NULL DEFAULT '1' COMMENT '状态',
                `shuxing` varchar(250) DEFAULT NULL COMMENT '属性',
                `title` varchar(100) DEFAULT NULL COMMENT '标题',
                `view` int(11) unsigned NULL DEFAULT '1' COMMENT '点击量',
                `zan` int(11) unsigned NULL DEFAULT '0' COMMENT '点赞',
                `time` int(11) unsigned NULL DEFAULT '1' COMMENT '添加时间',
                `times` int(11) unsigned NULL DEFAULT '1' COMMENT '修改时间',
                `seo_title` varchar(250) DEFAULT NULL COMMENT 'SEO标题',
                `keywords` varchar(500) DEFAULT NULL COMMENT '标签关键字',
                `description` varchar(500) DEFAULT NULL COMMENT '描述',
                `laiyuan` varchar(255) DEFAULT NULL COMMENT '来源',
                `content` text NOT NULL COMMENT '内容',
                PRIMARY KEY (`id`)
                ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='".$data['title']."表';";
            $sql_array = preg_split("/;[\r\n]+/", $sqldata);
            foreach ($sql_array as $k => $v) {
                if (!empty($v)) {
                    Db::query($v);
                }
            }
            $this->controller(strtolower(get('name')));
            return json(array('code' => 1, 'msg' => '添加成功'));
        } else {
             return json(array('code' => 0, 'msg' => '添加失败'));
        }
    }
    // 删除模型
    public function modelun()
    {
        hook('php_admin_api_modelun');
        $this->quanxian(10);
        if (ps(input('name'))=='article') {
            $this->error('默认模型禁止删除');
        }
        if (Db::name('model')->delete(array('id' => input('id')))) {
            $sql =sql("DROP TABLE IF EXISTS `my_".ps(input('name'))."`;");
            Db::name(ps('modelzd'))->where(array('m'=>ps(input('name'))))->delete();
            Db::name(ps('cate'))->where(array('m'=>ps(input('name'))))->delete();
            Db::name('comment')->where(array('m'=>ps(input('name'))))->delete();
            unlink('app/index/controller/'.ucfirst(ps(input('name'))).'.php');//删除控制器
            $this->success('删除成功');
        } else {
            $this->error('删除失败');
        }
    }
    //创建字段
    public function addzd()
    {
        hook('php_admin_api_addzd');
        $this->quanxian(11);
        $sql=sql("select *from information_schema.columns where table_name='".config('database.prefix').ps(input('model'))."' ORDER BY ORDINAL_POSITION");
        $ids = array_column($sql, 'COLUMN_NAME'); 
        $data = $this->request->param();
        $data['m']=$data['model'];
        if(!in_array(input('ziduan'),$ids)){  
            sql("ALTER TABLE `".config('database.prefix').ps(input('model'))."` ADD `".input('ziduan')."`".input('ziduantype')." NULL DEFAULT '".input('morenzhi')."' COMMENT '".ps(input('name'))."';");
            Db::name(ps('modelzd'))->strict(false)->data($data)->insert();
            $this->success('创建成功');
        }else{
            $this->error('当前字段已存在');
        }
    }
    //修改字段
    public function editzd()
    {
        hook('php_admin_api_editzd');
        $this->quanxian(12);
        $c = Db::name(ps('modelzd'))->where(array('id'=>input('id')))->find();
        if ($c['ziduan']!=input('ziduan')) {
            $this->error('字段禁止修改');
        }
        if ($c['ziduantype']!=input('ziduantype')) {
            $this->error('字段类型禁止修改');
        }
        $data = $this->request->param();
        $data['m']=$data['model'];
        if(Db::name(ps('modelzd'))->strict(false)->data($data)->update()){  
            $this->success('修改成功');
        }else{
            $this->error('修改失败');
        }

    }
    // 删除字段
    public function modelzd()
    {
        hook('php_admin_api_modelzd');
        $this->quanxian(13);
        $sql=sql("select *from information_schema.columns where table_name='".config('database.prefix').input('m')."' ORDER BY ORDINAL_POSITION");
        $ids = array_column($sql, 'COLUMN_NAME'); 
        if(!in_array(input('zd'),$ids)){  
            Db::name(ps('modelzd'))->where(array('m'=>input('m'),'ziduan'=>input('zd')))->delete();
            $this->success('删除成功');
        }
        $sql =sql("ALTER TABLE `my_".input('m')."` drop column `".input('zd')."`;");
        if (!$sql) {
            Db::name(ps('modelzd'))->where(array('m'=>input('m'),'ziduan'=>input('zd')))->delete();
            $this->success('删除成功');
        } else {
            $this->error('删除失败');
        }
    }
    // 安装启动模板
    public function addmuban()
    {
        hook('php_admin_api_addmuban');
        $this->quanxian(14);
         if (request()->isPost()) {
            $config = json_decode(fun_sc_p('set', array('id'=>2), 'config'),true);
            if (input('id')) {
                $config["pc"]=jiami(input('id'),'ENCODE','otacms',0);
            } else {
                $config["wap"]=jiami(input('idwap'),'ENCODE','otacms',0);
            }
            $flag = Db::name('set')->where(array('id'=>2))->setField('config', json_encode($config));
            if ($flag !== false) {
                array_map('unlink', glob(TEMP_PATH . '/*.php'));
                rmdir(TEMP_PATH);
                return json(array('code' => 1, 'msg' => '启动成功'));
            } else {
                return json(array('code' => 0, 'msg' => '启动失败'));
            }
		}
        
    }
    // 删除模板
    public function unmuban()
    {
        hook('php_admin_api_unmuban');
        $this->quanxian(15);
        $info = input('id');
        if ($info=='otacms') {
            return json(array('code' => 0, 'msg' => '默认模板禁止删除'));
        } 
        $res = deleteun(ROOT_PATH . 'template/'.$info);
        if ($res) {
            return json(array('code' => 1, 'msg' => '删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '删除失败'));
        } 
        
    }
    // 保存模板设置
    public function muban()
    {
        hook('php_admin_api_muban');
        $this->quanxian(16);
        if (request()->isPost()) {
            $config = $this->request->post();
            $url = 'template/' . input('id') . '/set.txt';
            $str = json_encode($config);
            if (file_put_contents($url, $str)) {
                return json(array('code' => 1, 'msg' => '更新成功'));
            } else {
                return json(array('code' => 0, 'msg' => '请检查/template/' . input('id') . '是否有写入权限'));
            }
        }
    }
     // 设置插件
    public function addons_set()
    {
        hook('php_admin_api_addons_set');
        $this->quanxian(17);
        if (request()->isPost()) {
            $data = $this->request->param();
            $id = $data['id'];
            $config = $data['config'];
            $flag = Db::name('addons')->where(array('name'=>input('id')))->setField('config', json_encode($config));
            if ($flag !== false) {
                return json(array('code' => 1, 'msg' => '保存配置成功'));
            } else {
                return json(array('code' => 0, 'msg' => '保存配置失败'));
            }
		}
    }
    // 删除插件
    public function unaddons()
    {
        hook('php_admin_api_unaddons');
        $this->quanxian(18);
        $info = input('id');
        $res = deleteun(ROOT_PATH . 'app/' . DS . $info);
        if ($res) {
            return json(array('code' => 1, 'msg' => '删除成功'));
        } else {
            return json(array('code' => 0, 'msg' => '删除失败'));
        }
    }
    // 安装插件
    public function install()
    {
        hook('php_admin_api_install');
        $this->quanxian(19);
        $info = input('id');
        $class='app\\'.$info.'\\'.$info;
        $addons = new $class();
        $config = $addons->info;
        $data['name'] = $config['name'];
        $data['title'] = $config['title'];
        $data['description'] = $config['description'];
        $data['banben'] = $config['banben'];
        $data['pic'] = $config['pic'];
        $data['admin'] = $config['admin'];
        $data['time'] = time();
        if($addons->admin){
    		$temp_arr = $addons->admin;
    		foreach ($temp_arr as $key => $value) {
    			if($value['type'] == 'group'){
    				foreach ($value['options'] as $gkey => $gvalue) {
    					foreach ($gvalue['options'] as $ikey => $ivalue) {
    						$getconfig[$ikey] = $ivalue['value'];
    					}
    				}
    			}else{
    				$getconfig[$key] = $temp_arr[$key]['value'];
    			}
    		}
    	}
        $data['config'] = json_encode($getconfig);
        if (fun_st('addons', array('name'=>$config['name']))>0) {
            return json(array('code' => 0, 'msg' => '插件已存在'));
        } 
        if ($addons->install()=='true') {
            if (Db::name('addons')->insert($data)) {
                return json(array('code' => 1, 'msg' => '安装成功'));
            } else {
                return json(array('code' => 0, 'msg' => '安装失败'));
            }
        } else {
            return json(array('code' => 0, 'msg' => '安装方法有误'));
        }

    }
    // 卸载插件
    public function uninstall()
    {
        hook('php_admin_api_uninstall');
        $this->quanxian(20);
        $info = input('id');
        $class='app\\'.$info.'\\'.$info;
        $addons = new $class();
        $config = $addons->info;
        $data['name'] = $config['name'];
        if (fun_st('addons', array('name'=>$config['name']))==0) {
            return json(array('code' => 0, 'msg' => '无需卸载,不存在该插件'));
        } 
        $where['name'] = $info;
        $gethook = Db::name('hook')->where($where)->find();
        // 卸载挂载的插件
        sql("update my_hook set addons =REPLACE(addons ,',".$info.",',',');");
        sql("update my_hook set addons =REPLACE(addons ,'".$info.",','');");
        sql("update my_hook set addons =REPLACE(addons ,',".$info."','');");
        sql("update my_hook set addons =REPLACE(addons ,'".$info."','');");
        if ($addons->uninstall()=='true') {
            if (Db::name('addons')->where("name='{$config['name']}'")->delete()) {
                return json(array('code' => 1, 'msg' => '卸载成功'));
            } else {
                return json(array('code' => 0, 'msg' => '卸载失败'));
            }
        } else {
            return json(array('code' => 0, 'msg' => '卸载方法有误'));
        }
    }
    // 获取模板
    public function mubandow()
    {
        $this->quanxian(51);
        hook('php_admin_api_mubandow');
        $url = ps('my','MZHP0fyasP3b2dw5yM4CnbVLuW2Ac9zB0WVNrc1sTZKktYG73OVTxfWu-');
        $params = [
            "key" => input('key'),
            "www" =>  $_SERVER[HTTP_HOST],
            "ma" =>  set('sq'),
            "ip" =>  $_SERVER['REMOTE_ADDR'],
        ];
        $paramstring = http_build_query($params);
        $content = http_ota($url, $paramstring, 1);
        $result = json_decode($content, true);
        if ($result['code']==1) {
            // 下载
            $url = $result['url'];
            $save_dir = 'runtime/';
            $filename = 'muban.zip';
            $res = getFile($url, $save_dir, $filename, 0);
            // 解压
            $zip = new \ZipArchive();
            if ($zip->open('runtime/muban.zip') === TRUE) {
                $zip->extractTo('template');
                $zip->close();
                // 删除
                unlink('runtime/muban.zip');
                return $result;
            }
        }else{
            return $result;
        }
    }
    //获取插件
    public function addonsdow()
    {
        $this->quanxian(52);
        hook('php_admin_api_mubandow');
        $url = ps('my','EX92pUtdlFhW0TXunH77dFQJk9r1XAs3eRTDSRqnWSAOoW8isPg6aTw2rSXugH7rm');
        $params = [
            "key" => input('key'),
            "www" =>  $_SERVER[HTTP_HOST],
            "ma" =>  set('sq'),
            "ip" =>  $_SERVER['REMOTE_ADDR'],
        ];
        $paramstring = http_build_query($params);
        $content = http_ota($url, $paramstring, 1);
        $result = json_decode($content, true);
        if ($result['code']==1) {
            // 下载
            $url = $result['url'];
            $save_dir = 'runtime/';
            $filename = 'addons.zip';
            $res = getFile($url, $save_dir, $filename);
            // 解压
            $zip = new \ZipArchive();
            if ($zip->open('runtime/addons.zip') === TRUE) {
                $zip->extractTo('app');
                $zip->close();
                // 删除
                unlink('runtime/addons.zip');
                return $result;
            }
        }else{
            return $result;
        }
    }
    public function debug()
    {
        $this->quanxian(53);
        hook('php_admin_api_debug');
        $path = 'app/extra/debug.php';
        $file = include $path; 
        $config = array(
         'name' => input('id'),
        );
        $config = preg_replace("/[?><?]/", '', $config);
        $res = array_merge($file, $config);
        $str = '<?php return [';
        foreach ($res as $key => $value) {
            $str .= '\'' . $key . '\'' . '=>' . '\'' . $value . '\'' . ',';
        }
        $str .= ']; ';
        if (file_put_contents($path, $str)) {
            return json(array('code' => 1, 'msg' => '操作成功'));
        } else {
            return json(array('code' => 0, 'msg' => '操作失败'));
        }
    }
}