<?php
namespace app\index\controller;
use think\Controller;
use think\Db;
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2022 All rights reserved.
// +----------------------------------------------------------------------
// | Author: 作者@梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Article extends Controller
{
    //公共
    public function _initialize()
    {
        hook('php_index_controller_initialize');
        hook('php_index_article_initialize');
        if (set('open')==0) {
            die(set('open_ts'));
        }
    }
    //模型首页
    public function index()
    {
        hook('php_index_controller_index');
        hook('php_index_article_index');
        $this->assign('hover', 'article');
        $this->assign('hover_list', 'article');
        $id=input('id');
        if(!$id){
            $id=input('tid');
        }
        $m = Db::name('model')->where(array('name' => 'article'))->find();
        $c=array('id'=>'0','m'=>'article','keywords'=>$m['keywords'],'description'=>$m['description'],'name'=>$m['title']);
        if ($id) {
            $this->assign('hover_list', 'article');
          	 $this->assign('hover', $id);
            $c = Db::name('cate')->where(array('alias' => $id))->find();
            if (!$c['id']) {
                return $this->error('页面不存在','/');
            }
        }
        $this->assign(array('id'=>$id,'c'=>$c,'m'=>$m));
        if ($id) {
          	$muban='template/'.muban().'/default/article_'.explode('.',$c['muban'])[0].'.html';
            if (file_exists($muban)) {
                return view($muban);
            }
        }
      	$muban='template/'.muban().'/default/article.html';
        if (file_exists($muban)) {
            return view($muban);
        }else{
            $muban='template/'.muban().'/default/article_index.html';
        }
        if (file_exists($muban)) {
            return view($muban);
        }else {
             return view(muban_html('index'));
        }
    }
    //详情
    public function item()
    {
        hook('php_index_controller_item');
        hook('php_index_article_item');
        $this->assign('hover', 'article');
        $t = Db::name('article')->where(array('id' => input('id'), 'open' => 1))->find();
        $c = Db::name('cate')->where(array('id' => $t['tid']))->find();
        $m = Db::name('model')->where(array('name' => 'article'))->find();
        $this->assign(array('m'=>$m,'t'=>$t,'c'=>$c));
        if (empty($t['id'])) {
            return $this->error('内容不存在','/');
        }
        if(user('userid')&&addons('user','zuji')==1){
            if (Db::name('zuji')->where(array('uid' => user('userid'),'m'=>'article','tid'=>$t['id']))->count()) {
                Db::name('zuji')->where(array('uid' => user('userid'),'m'=>'article','tid'=>$t['id']))->setField('time', time());
                Db::name('zuji')->where(array('uid' => user('userid'),'m'=>'article','tid'=>$t['id']))->setInc('view', 1);
            } else {
                Db::name('zuji')->strict(false)->data(array('uid'=>user('userid'),'m'=>'article','tid'=>$t['id'],'time'=>time()))->insert();
            }
        }
        if(addons('user','jingyan_4')){
            if (!Db::name('point_note')->where(array('uid' => user('userid'),'tid' => $t['id']))->count()) {
                point(addons('user','jingyan_4'), user('userid'), '浏览内容',2,$t['id']);
            }
        }
        Db::name('article')->where('id', input('id'))->setInc('view', 1);
        $muban='template/'.muban().'/default/article_'.explode('.',$c['muban_item'])[0].'.html';
        if (file_exists($muban)) {
            return view($muban);
        }else{
            $muban='template/'.muban().'/default/article_item.html';
        }
        if (file_exists($muban)) {
            return view($muban);
        }else {
             return view(muban_html('item'));
        }
    }
   
}