<?php
namespace app\index\controller;
use think\Controller;
use think\Db;
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2022 All rights reserved.
// +----------------------------------------------------------------------
// | Author: 作者@梦雨 <50361804@qq.com>
// +----------------------------------------------------------------------
class Index extends Controller
{
    //公共
    public function _initialize()
    {
        hook('php_index_index_initialize');
        if (set('open')==0) {
            die(set('open_ts'));
        }
    }
    //首页
    public function index()
    {
        hook('php_index_index_index');
        $this->assign('hover', 'index');
        return view();
    }
    // 搜索
    public function search()
    {
        hook('php_index_index_search');
        $this->assign('hover', 'search');
        $t = Db::name('model')->where(array('name' => get('m','article')))->find();
        $this->assign('c',$c);
        return view();
    }
    //单页
    public function dan()
    {
        hook('php_index_index_dan');
        $dan = Db::name('dan');
        $t = $dan->where(array('id' => input('alias'),'open' => 1))->find();
        if(!$t['id']){
            $t = $dan->where(array('alias' => input('alias'),'open' => 1))->find();
        }
        $this->assign('t',$t);
        if (empty($t['id'])) {
            return $this->error('页面不存在','/');
        }
        $this->assign('hover', 'dan');
        return view(explode('\\', $c['muban'])[0]);
    }
    // 自定义页面
    public function other()
    {
        hook('php_index_index_other');
        $html='template/'.muban().'/index/'.input('id').'.html';
        if (file_exists($html)) {
            return view($html);
        }else {
            return '模板文件不存在<br><br>'.$html.'<br><br>自行创建该文件进行编辑';
        }
    }
    // 创建模板扩展控制
    public function tpl($controller=null,$method = null,$json=false){
        hook('php_index_index_tpl');
    	$class_path = "\\template\\".$controller."\\app";
    	if(!is_file("template/".$controller."/app.php")){
			exit("没有这样的控制器");
		} else {
		    require_once "template/".$controller."/app.php";
		}
    	$c = new $class_path();
    	if(is_callable(array($class_path,$method))) {
            $c->$method();
        } else {
            exit("方法".$method."不存在");
        }
    }
    //用于显示模板的方法
    protected function view($templateFile = ''){
        hook('php_index_index_view');
        $class = get_class($this);
        $view_path = 'template/'.explode('\\', $class)[1].'/view/';
		$templateFile = $view_path.$templateFile.'.html';
		if(!is_file($templateFile)){
			exit("模板不存在:$templateFile");
		} else {
		    echo $this->fetch($templateFile);
		}
    	echo $this->fetch($templateFile);
    }
   
}