<?php
use think\Route;
if (addons('cache','open')==1) {
    // 首页
    Route::get('/','index/index/index',[
    	'cache'	=>	[ '/:page',addons('cache','time'),'/']
    ]);
    // 模板自定义扩展
    Route::rule('view/[:controller]/[:method]','index/index/tpl');
    // Route::get('view/[:controller]/[:method]','index/index/tpl',[
    // 	'cache'	=>	[ 'view/[:controller]/[:method]',addons('cache','time'),'view']
    // ]);
    // 单页
    Route::get('dan/[:alias]','index/index/dan',[
        'cache'	=>	[ 'dan/[:alias]/',addons('cache','time'),'dan']
    ]);
    // 自定义页面
    Route::get('other/[:id]','index/index/other',[
        'cache'	=>	[ 'other/[:id]/:page',addons('cache','time'),'other']
    ]);
    // 搜索
    Route::get('search','index/index/search',[
        'cache'	=>	[ 'search/:page',addons('cache','time'),'search']
    ]);
    // 模型路由
    foreach (fun_s('model',array(),'id desc',1000,1) as $key => $vo) {
        Route::get($vo['route_index'].'/[:id]','index/'.$vo['name'].'/index',[
            'cache'	=>	[ $vo['route_index'].'/[:id]/:page',addons('cache','time'),$vo['route_index']]
        ]);
        Route::get($vo['route_item'].'/[:id]','index/'.$vo['name'].'/item',[
            'cache'	=>	[ $vo['route_item'].'/[:id]','index/',addons('cache','time'),$vo['route_item']]
        ]);
    }
} else {
    // 首页
    Route::rule('/','index/index/index');
    // 模板自定义扩展
    Route::rule('view/[:controller]/[:method]','index/index/tpl');
    // 单页
    Route::rule('dan/[:alias]','index/index/dan');
    // 自定义页面
    Route::rule('other/[:id]','index/index/other');
    // 搜索
    Route::rule('search','index/index/search');
    // 模型路由
    foreach (fun_s('model',array(),'id desc',1000,1) as $key => $vo) {
        Route::rule($vo['route_index'].'/[:id]','index/'.$vo['name'].'/index');
        Route::rule($vo['route_item'].'/[:id]','index/'.$vo['name'].'/item');
    }
}

 